### Method

# Fwupd Client get_host_security_attrs

#### Declaration [src]

    GPtrArray*
    fwupd_client_get_host_security_attrs (
      FwupdClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets all the host security attributes from the daemon.

Available since: | 1.5.0

#### Parameters

`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| Attributes.
| The caller of the method takes ownership of the data container, but not the data inside it.